pub mod lifecycle;
pub mod spawner;
pub mod timing;

mod __plugin {
	use bevy::app::{PluginGroup, PluginGroupBuilder};

	pub struct EntitiesPluginGroup;
	impl PluginGroup for EntitiesPluginGroup {
		fn build(&mut self, group: &mut PluginGroupBuilder) {
			group.add(super::timing::TimingPlugin);
		}
	}
}

pub use __plugin::EntitiesPluginGroup;
